API Reference

Complete API reference documentation with request parameters, response fields, and status codes for the SMARTe enrichment API.

Request parameters

Below are the input fields that are supported:

ParameterData Type
recordIdString
compNameString
compWebsiteString
conFullNameString
conFirstNameString
conLastNameString
conEmailString
countryString
conJobTitleString
compLinkedinUrlString
conLinkedinUrlString
compGuidString
conGuidString
  • For company enrichment use company parameters such as compName or compWebsite OR compLinkedinUrl OR compGuid
  • For contact enrichment use combination of contact and company parameters together, such as following combinations
    • conFullName AND (compName OR compWebsite)
    • (conFirstName AND conLastName) AND (compName OR compWebsite)
    • conEmail
    • conLinkedinUrl
    • conGuid
  • More the combinations, more the matches

Response parameters

Below are the output fields:

ParameterData TypeDescription
recordIDStringUnique identifier of the input record used to retrieve the data.
recordStatusStringStatus of the record (e.g., Active, No Longer, No Match).
accuracyStringAccuracy rating for the matched record (A+, A, A-, B where A+ is highest).
compGUIDStringUnique 16-digit alphanumeric identifier for the company in the SMARTe database.
compNameStringStandard company name.
compNameAkaStringAlternate company names or aliases (DBA, also known as).
compStockSymbolStringCompany stock ticker symbol.
compStockExchangeCodeStringStock exchange code where the company is listed.
compPhoneNoStringCompany phone number.
compAddrStringCompany street address.
compCityStringCity of the company.
compIsMncStringIndicates whether the company is a multinational corporation.
compMetroAreaStringMetropolitan area of the company.
compStateStringState or region of the company.
compCountryStringCountry of the company.
compCountryIsoCode2StringTwo-letter ISO country code for the company country.
compZipcodeStringPostal or ZIP code of the company.
compGlobalRegionsStringGlobal geographic region where the company operates.
compWebsiteStringOfficial website of the company.
compParentGuidStringUnique identifier of the parent company.
compParentNameStringName of the parent company.
compParentCountryStringParent company country.
compParentCountryIsoCode2StringTwo-letter ISO country code for the parent company.
compWorldwideParentGuidStringUnique identifier of the ultimate worldwide parent company.
compWorldwideParentNameStringName of the ultimate worldwide parent company in the corporate hierarchy.
compWorldwideParentCountryStringCountry where the worldwide parent company is headquartered.
compWorldwideParentCountryIsoCode2StringTwo-letter ISO country code of the worldwide parent company.
compRevRangeStringRevenue range of the company.
compRevenueStringAbsolute company revenue.
compGrossProfitInUsdStringCompany gross profit in USD.
compOperatingIncomeInUsdStringCompany operating income in USD.
compNetIncomeInUsdStringCompany net income in USD.
compMarketCapInUsdStringCompany market capitalization in USD.
compFiscalYearEndMonthStringMonth when the company fiscal year ends.
compTotalFundingStringTotal funding amount raised by the company.
compTotalFundingRoundsStringTotal number of funding rounds received by the company.
compLastFundingRoundStringType of the company’s most recent funding round.
compLastFundingDateStringDate of the most recent funding round.
compEmpCountStringTotal number of employees in the company.
compEmpRangeStringEmployee size range of the company.
compIndustryStringIndustry or industries in which the company operates.
compSicCodesStringSIC codes for the company.
compSicDescriptionStringDescription of the company’s SIC classification.
compNaicsCodesStringNAICS codes for the company.
compNaicsDescriptionStringDescription of the company’s NAICS classification.
compIsSubsidiaryStringIndicates whether the company operates as a subsidiary.
compLegalStatusStringLegal status of the company (e.g., Public, Private).
compFoundingYearStringYear the company was founded.
compPubProfileUrlStringPublic LinkedIn profile URL of the company.
conGUIDStringUnique 32-digit alphanumeric identifier for the contact in the SMARTe database.
conFullNameStringFull name of the contact person.
conFirstNameStringFirst name of the contact.
conMiddleNameStringMiddle name of the contact.
conLastNameStringLast name of the contact.
conEmailStringContact email address.
conJobTitleStringCurrent job title of the contact at the company.
conLevelsStringContact seniority level (e.g., VP, Director, Manager).
conFunctionsStringPrimary functional department of the contact (e.g., Sales, Marketing, IT).
conSubFunctionsStringSpecific functional specialization within the department.
conJobStartedOnStringMonth and year when the contact started their current role.
conJobPromotedOnStringDate when the contact was promoted to their current role.
mobileNumberStringMobile phone number of the contact.
directDialStringDirect phone number of the contact.
conWorkLocAddrStringWork location street address of the contact.
conWorkLocCityStringWork location city of the contact.
conWorkLocAreaStringWork location metropolitan area of the contact.
conWorkLocStateStringWork location state or region of the contact.
conWorkLocZipcodeStringWork location postal or ZIP code of the contact.
conWorkLocPhoneNoStringWork location phone number of the contact.
conWorkLocCountryStringWork location country of the contact.
conLocStringContact LinkedIn location (e.g., Greater San Francisco Bay Area).
conPubProfileUrlStringPublic LinkedIn profile URL of the contact.
smarteTransactionIdStringUnique SMARTe transaction identifier associated with the record request.
currentTenureObjectIf the record status is no longer, new tenure information with all listed fields will be shared.

Response Status Code

Based on request data and system state, these are the possible Status codes that you may come across.

HTTP Status CodeMessageError Description
200OkSuccessful Request
400Bad RequestInvalid API key
401UnauthorizedMissing input parameters
403Forbidden
412Precondition FailedNo Credits Available
429Throttled OutYou have been rate limited
500Internal Server Error
502Bad Gateway
503Service Unavailable
408/504Request Timeout /Gateway Timeout

What’s Next